ranges::v3::view::stride_fn Struct Reference

## Synopsis of methods

constexpr view< stride_fn > | stride {}

## Public Member Functions

template<typename Rng , requires = (InputRange<Rng>())>
constexpr auto | operator() (Rng &&rng, range_difference_type_t< Rng > step) const noexcept(noexcept(decltype(stride_view< all_t< Rng >>{all(static_cast< Rng &&>(rng)), step})(stride_view< all_t< Rng >>{all(static_cast< Rng &&>(rng)), step}))) -> decltype(stride_view< all_t< Rng >>